Package twisted :: Package runner :: Module inetdconf :: Class InetdConf

[frames | no frames]

## Class InetdConf

    SimpleConfFile --+
                     |
                    InetdConf

Configuration parser for a traditional UNIX inetd(8)

Method Summary
| `__init__(self, knownServices)`
| ``parseFields`(self, serviceName, socketType, protocol, wait, user, program, *programArgs)` Parse an inetd.conf file.
Inherited from SimpleConfFile
| ``parseFile`(self, file)` Parse a configuration file
| ``parseLine`(self, line)` Override this.

Class Variable Summary
`str` | `defaultFilename` = `'/etc/inetd.conf'`
Inherited from SimpleConfFile
`str` | `commentChar` = `'#'`

Method Details

### parseFields(self, serviceName, socketType, protocol, wait, user, program, *programArgs)

Parse an inetd.conf file.

Implemented from the description in the Debian inetd.conf man page.

  Overrides:
    `twisted.runner.inetdconf.SimpleConfFile.parseFields`

Class Variable Details

### defaultFilename

  Type:
    `str`
  Value:

        '/etc/inetd.conf'

Generated by Epydoc 2.0 on Sat May 15 20:08:00 2004 | http://epydoc.sf.net